locked
.NET Framework 2.0 RRS feed

  • Question

  • High all I was not sure where to put this so I went with general windows..

    My questions is I did a fresh install of windows XP today using the .NET Framework 2.0 installer and when I went to the windows update site it said I needed .NET Framework 1.1..

    I am assuming version 2.0 is a replacement upgrade for version 1.1 SP1 or do I need to install both... I was even more confused cause when you check the services it shows version 2.0 install and running.. So to me that means 2.0 is a replacement.. Even on a computer that had version 1.1 SP1 install after the upgraded to version 2.0 is completed the services are replaced...

    I have not been able to find the answer on the microsoft support site..




    • Moved by Sheng Jiang 蒋晟 Thursday, July 10, 2014 9:51 PM Not dev related. Windows user forum is at answers.microsoft.com.
    Wednesday, November 9, 2005 11:49 AM

Answers

  • Framework 2.0 is another version of the dot net framework not a replacement.  If you have an application that uses the .net framework 1.1 on your machine you will need it.  Both version will coexist on your computer peacefully. 
    Wednesday, November 9, 2005 12:00 PM
  • ok if that is the case I'll setup the unattended windows CD to install both.. 

    But This brings up another question then about  .NET Framework 1.0 

    is .NET Framework 1.1 an update to .NET Framework 1.0 or are they to different animals too...  

    I will assume I don't need 1.0 and it updates cause the windows update site doesn't say I need any of 1.0 after I install 1.1 intergrated with SP1 and KB886903

    Thanks! SmileSmile


     
    Wednesday, November 9, 2005 12:24 PM
  • All versions of the .NET framework can exist side by side, and they don't replace earlier versions. But unless you have applications that require a certain version, you don't need to install each and every one.
    Wednesday, November 9, 2005 1:11 PM
  • Ok thanks!

    I'll leave 1.0 out of the install cause I have not had any issues running with out it yet!

    LOL M$ always seems to make things confusing...

    Wednesday, November 9, 2005 3:31 PM

All replies

  • Framework 2.0 is another version of the dot net framework not a replacement.  If you have an application that uses the .net framework 1.1 on your machine you will need it.  Both version will coexist on your computer peacefully. 
    Wednesday, November 9, 2005 12:00 PM
  • ok if that is the case I'll setup the unattended windows CD to install both.. 

    But This brings up another question then about  .NET Framework 1.0 

    is .NET Framework 1.1 an update to .NET Framework 1.0 or are they to different animals too...  

    I will assume I don't need 1.0 and it updates cause the windows update site doesn't say I need any of 1.0 after I install 1.1 intergrated with SP1 and KB886903

    Thanks! SmileSmile


     
    Wednesday, November 9, 2005 12:24 PM
  • All versions of the .NET framework can exist side by side, and they don't replace earlier versions. But unless you have applications that require a certain version, you don't need to install each and every one.
    Wednesday, November 9, 2005 1:11 PM
  • Ok thanks!

    I'll leave 1.0 out of the install cause I have not had any issues running with out it yet!

    LOL M$ always seems to make things confusing...

    Wednesday, November 9, 2005 3:31 PM